package com.qmth.themis.business.constant;

/**
 * @Description: 系统常量
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2019/10/11
 */
public class SystemConstant {
    /**
     * 鉴权
     */
    public static final String TOKEN = "token";
    public static final String PLATFORM = "platform";
    public static final String SOURCE = "source";
    public static final String DEVICE_ID = "deviceId";

    /**
     * 阿里云oss
     */
    public static final String END_POINT = "endpoint";
    public static final String ACCESS_KEY_ID = "accessKeyId";
    public static final String ACCESS_KEY_SECRET = "accessKeySecret";
    public static final String BUCKET = "bucket";

    /**
     * 系统相关
     */
    public static final String SUCCESS = "{'success':true}";
    public static final String RECORDS = "records";
    public static final String ACCOUNT = "account";
    public static final String LINK = "LINK";
    public static final String MENU = "MENU";
    public static final String AUTH_CACHE = "auth_cache";
    public static final String ALL_PATH = "/**";

    public static final String JWT_USERID = "userId";
    public static final String JWT_SECRET = "YuiopB0009Xn";//jwt密钥
    public static final String JWT_CURRENT_TIME = "currentTimeMillis";
    public static final int JWT_EXPIRE_TIME = 60 * 720 * 1000;//过期时间12小时
}